<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	if (!defined("IGNX")) { die("Attempt..."); }

// ENTRAR AREA PRIVADA
if (isset($_POST["int_log"]))
{

		$verpass = isset($_POST["verpass"]) ? $_POST["verpass"] : 0;

		// NO RECUERDA LAS PASS
		if ($verpass == 1)
		{
				
				// chequear emails visitantes
				$quser = myquery("SELECT * FROM ".INGENIO." WHERE igID=60","[pro_intranet=1]");
				$row_user = myfetch($quser);
				$todos_usuarios = explode("\r\n",$row_user["topic"]);
				for ($u=0; $u<count($todos_usuarios); $u++)
				{

					if ($_POST["email_int"] == str_antes_resto($todos_usuarios[$u],"+",1))
					{
				
						// envio de email
						$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
						$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
						$cabecera .= "Content-Disposition: inline"."\r\n";	
						$cabecera .= "From: ".str_antes_resto($todos_usuarios[$u],"+",1).""."\r\n";
						$mensaje = "::::::::::::"."\n\n";
						$mensaje .= str_antes_resto($todos_usuarios[$u],"+",2)."\n\n";
						$mensaje .= "::::::::::::"."\n\n";
						@mail(str_antes_resto($todos_usuarios[$u],"+",1),str_antes_resto($todos_usuarios[$u],"+",1),$mensaje,$cabecera);

						// se ha enviado un email
						Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."fpp".IGUAL."1".AMPER."msj".IGUAL."2");
						
					break;
					} else {
				
						// no esta registrado el email
						$str = 3;	
					}
		
				}
				
		
		} else {
		
			if ($_POST["email_int"] != "" && $_POST["pass_int"] != "")
			{
						
				// VISITANTES //
				// chequear visitantes
				$quser = myquery("SELECT * FROM ".INGENIO." WHERE igID=60","[pro_intranet=2]");
				$row_user = myfetch($quser);
				$todos_usuarios = explode("\r\n",$row_user["topic"]);
				for ($u=0; $u<count($todos_usuarios); $u++)
				{
					if ($_POST["email_int"] == str_antes_resto($todos_usuarios[$u],"+",1) && $_POST["pass_int"] == str_antes_resto($todos_usuarios[$u],"+",2))
					{
					
						// gestion por sesion
						$_SESSION["GX_int"] = encode64(str_antes_resto($todos_usuarios[$u],"+",1));
						$_SESSION["GX_iss"] = encode64(str_antes_resto($todos_usuarios[$u],"+",2));							
						setcookie("GX_int", encode64(str_antes_resto($todos_usuarios[$u],"+",1)), 0, "/");
						setcookie("GX_iss", encode64(str_antes_resto($todos_usuarios[$u],"+",2)), 0, "/");
						
						Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."fpp".IGUAL."1".AMPER."msj".IGUAL."1");

					break;
					} else {
					
						// no esta registrado como visitante autorizado
						$str = 4;
					}
				}
						
			} // del if ($_POST["email_int"] ...
			
		} // del if $verpass == 1
	

	// salida de mensajes
	Redir (RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."fpp".IGUAL."1".AMPER."msj".IGUAL.$str);

}

?>